//
//  HelloController.h
//  HelloCocoaWorld
//
//  Created by heximal on 11/02/06.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CounterView.h"
#import "FieldView.h"

enum {
	mbNone = -1,
	mbLeft = 0,
	mbMiddle = 1,
	mbRight = 2
};


@interface HelloController : NSResponder {
	IBOutlet NSButton * btnTimer;
	NSTimer * helloTimer;
	IBOutlet NSWindow * window;
	int ticksCount;
	int seconds;
	IBOutlet CounterView * counterView;	
	IBOutlet FieldView * fieldView;
	IBOutlet NSWindow * mainWindow;
	IBOutlet NSView * scoresView;
	IBOutlet NSView * gameView;
	BOOL paused;
	NSRect gameFrame, scoresFrame;
	
	BOOL mouseRightDowned;
	BOOL mouseLeftDowned;
	int mouseButton;
	BOOL mousePressed;
	
}

-(IBAction) btnBackPressed :(id) sender;
-(IBAction) btnHighScoresPressed :(id) sender;
-(IBAction) btnResetTimerPressed :(id) sender;
-(IBAction) btnTimerPressed :(id) sender;
@end
